      subroutine display_limits ( line, column, limits,
     &		limits_west, limits_east, label )

C
C*******************************************************************************
C
C       Copyright (C) 1993, California Institute of Technology.  U.S.
C       Government Sponsorhip under NASA Contract NAS7-918 is
C       acknowledged.
C
C*******************************************************************************
C
C	writes the summary of the current targeting iteration to the screen.
C	B. E. S.   9/6/91
C
      integer          line, column, i

      double precision limits (4, 2)
      double precision limits_west (4, 2)
      double precision limits_east (4, 2)

      logical          label 

      external goto_string
      character*8 goto_string

      if ( label ) then 
         write(6,100) goto_string(line+2,1),'1st Node',
     &          goto_string(line+3,1),'Furthest West',
     &          goto_string(line+4,1),'Furthest East',
     &          goto_string(line+5,1),'Final Node'

         write(6,200) goto_string(line,1),' ',
     &          goto_string(line,15), '---- Unbiased ----',
     &          goto_string(line,35), '---- 95% West ----',
     &          goto_string(line,55), '---- 95% East ----'

         write(6,300) goto_string(line+1,15),'Time',
     &          goto_string(line+1,25),'GT',
     &          goto_string(line+1,35),'Time',
     &          goto_string(line+1,45),'GT',
     &          goto_string(line+1,55),'Time',
     &          goto_string(line+1,65),'GT'
      end if

      DO i=1,4
             write(6,400) goto_string(line+1+i,15), Limits(i,1),
     &          goto_string(line+1+i,25), Limits(i,2),
     &          goto_string(line+1+i,35), Limits_west(i,1),
     &          goto_string(line+1+i,45), Limits_west(i,2),
     &          goto_string(line+1+i,55), Limits_east(i,1),
     &          goto_string(line+1+i,65), Limits_east(i,2)
      end do
 100  format(' ',4(a8,a14))
 200  format(' ',a8,a14, 3(a8,a20))
 300  format(' ',6(a8,a10))
 400  format(' ',12(a8,f10.5))

       return
       end
