C$Procedure                        DVMOVE
C
      SUBROUTINE DVMOVE ( ELTS , SOURCE , TARGET )
C
C
C*******************************************************************************
C
C       Copyright (C) 1993, California Institute of Technology.  U.S.
C       Government Sponsorhip under NASA Contract NAS7-918 is
C       acknowledged.
C
C*******************************************************************************
C
C$ Purpose
C
C  DVMOVE copies the first ELTS elements of SOURCE into the first
C  ELTS elements of TARGET.
C
C$ Input_Arguments
C
C  ELTS   - number of elements to move
C  SOURCE - source vector
C
C$ Output_Arguments
C
C  TARGET - target vector
C
C$ Log
C
C  18-Jul-1988 - Eric Cannell - creation
C
C$ Declarations_of_Input_and_Output_Arguments
C
      INTEGER              ELTS
      DOUBLE PRECISION     SOURCE(*)
      DOUBLE PRECISION     TARGET(*)
C
C$ Declarations_of_Local_Variables
C
      INTEGER              IELT
C
C$ Method
C-&

C1    Copy ELTS elements from SOURCE to TARGET.

      DO 101 IELT = 1 , ELTS

         TARGET( IELT ) = SOURCE( IELT )

101   CONTINUE

      RETURN
      END
