	SUBROUTINE UNIT(A, B)
C
C*******************************************************************************
C
C       Copyright (C) 1993, California Institute of Technology.  U.S.
C       Government Sponsorhip under NASA Contract NAS7-918 is
C       acknowledged.
C
C*******************************************************************************
C
C 	Creates a unit vector B colinear with input vector A
C
	DOUBLE PRECISION A(3), B(3), TEMP
	TEMP = A(1)*A(1) + A(2)*A(2) + A(3)*A(3)
	TEMP = SQRT(TEMP)
	if (TEMP .eq. 0.0d0) then
	   B(1)  = 0.0d0
	   B(2)  = 0.0d0
	   B(3)  = 0.0d0
        else
	   B(1) = A(1)/TEMP
	   B(2) = A(2)/TEMP
	   B(3) = A(3)/TEMP
        end if
        return
	end
