      subroutine write_limits ( unit, limits, limits_west, 
     &	limits_east )
C
C*******************************************************************************
C
C       Copyright (C) 1993, California Institute of Technology.  U.S.
C       Government Sponsorhip under NASA Contract NAS7-918 is
C       acknowledged.
C
C*******************************************************************************
C
C	writes the results of a targeting iteration to the output file
C	B. Shapiro   23-sep-1991 
C
      integer i
      integer unit
      double precision  limits ( 4, 2 )
      double precision  limits_west ( 4, 2 )
      double precision  limits_east ( 4, 2 )
      character * 13 	labels ( 4 )

      data 	labels / '1st Node', 'Furthest West',
     &                   'Furthest East', 'Final Node' /


      write(unit,200)
      write(unit,300)
      DO i=1,4
             write(unit,500) labels(i), 
     &		(limits(i,j),j=1,2),
     &		(limits_west(i,j),j=1,2),
     &		(limits_east(i,j),j=1,2)
      end do
      write(unit,600)

 200  format(' | ', 14x, '|  --- Unbiased --- | ',
     &             ' --- 95% West --- | ',
     &             ' --- 95% East --- |') 
 300  format(' | ',14x,'|',3(5x,'Time',7x,'GT |'))
 500  format(' | ',a13,' |' 3(2f9.5, ' |') )
 600  format(' |',t78,'|', / ,' ',77('-'))

      return
      end
      
C      double precision  limits ( 4, 2 )
C      double precision  limits_west ( 4, 2 )
C      double precision  limits_east ( 4, 2 )
C      data limits /1,2,3,4,5,6,7,8/
C      data limits_west/11,12,13,14,15,16,17,18/
C      data limits_east/101,102,103,104,105,106,107,108/
C      call write_limits ( 6, limits, limits_west, 
C     &	limits_east )
C      stop
C      end
