      subroutine find_class ( target_strat, limits, 
     &		limits_west, limits_east, bounds, class )

C
C*******************************************************************************
C
C       Copyright (C) 1993, California Institute of Technology.  U.S.
C       Government Sponsorhip under NASA Contract NAS7-918 is
C       acknowledged.
C
C*******************************************************************************
C
C
C	Determine appropriate call to fndcls depending upon 
C	choice of ground track used
C
C		UNBIASED - use limits
C		WESTGT   - use limits_west
C		EASTGT   - use limits_east
C
C	B. Shapiro  Sept. 6, 1991
C
C
      character*8 target_strat
      double precision limits(4,2)
      double precision limits_west(4,2)
      double precision limits_east(4,2)

      if ( target_strat .eq. 'UNBIASED' ) then
          CALL FNDCLS ( LIMITS , BOUNDS , CLASS  )
      else if ( target_strat .eq. 'WESTGT' ) then
          CALL FNDCLS ( LIMITS_west , BOUNDS , CLASS  )
      else if ( target_strat .eq. 'EASTGT' ) then
          CALL FNDCLS ( LIMITS_east , BOUNDS , CLASS  )
      else
          call clear_screen
          print *, 'ERROR: Unknown target_strat = ', target_strat
          write (8,*) 'ERROR: Unknown target_strat = ', target_strat
          stop
      end if
      return
      end
