$!
$!	Bruce Shapiro
$!	1/22/92
$!
$	if "''p1'".nes."?" then goto START 
$	
$	type sys$input

	The command file GTARG.COM inquires for the necessary parameters 
	to submit a GTARG run or run interactively.

	GTARG   -  will inquire for all input
			hitting a carriage return after any question will
			use the default for that parameter.
	GTARG D -  use defaults. No questions will be asked.
	GTARG GTARG.DAT EPH:GFLUX.NML RUNNAME I - for interactive job
	GTARG GTARG.DAT EPH:GFLUX.NML RUNNAME B B - for TGSB Batch Job
	GTARG GTARG.DAT EPH:GFLUX.NML RUNNAME B C - for TGSC Batch Job
	            |		|	   |    
		  namelist   Flux file    name in 
		input file		batch queue



$EXIT
$START:
$	if "''p1'".eqs."D" then goto DEFAULTS
$	if "''p1'".eqs."" then inquire -
		p1 "GTARG (input) file [GTARG.DAT]"
$	if "''p1'".eqs."" then p1 := "GTARG.DAT"
$!
$!
$       if "''p2'".eqs."" then inquire -
		p2 "Flux File [EPH:GFLUX.NML]"
$	if "''p2'".eqs."" then p2 := "EPH:GFLUX.NML"
$!
$!
$	if "''p3'".eqs."" then inquire -
		p3 "Run Name (no punctuation or blanks) [GTARG]?"
$!
$	if "''p4'".eqs."" then inquire -
                p4 "Run interactive or batch (I,B)? [default=I]"
$!
$	here = f$directory()
$!
$	if "''p4'".NES."B" then goto interactive_run
$!
$       if "''p5'".eqs."" then inquire p5 "Batch Queue (A,B,C,F)?[default=B]"
$	if "''p5'".eqs."" then p5:="B"
$	if "''p5'".eqs."F" then goto fast
$!
$	logfilename := "''here'GTARG''p3'.LOG"
$	jobname := "GTARG''p3'"
$!
$	SUBMIT GTARGJOB -
               /NOPRINT/KEEP/NOTIFY/RESTART/que=TGS"''p5'"_BATCH-
               /parameters=('here','p1','p2')-
                /name="''jobname'" -
                /log="''logfilename'"  
$goto done
$fast:
$	SUBMIT GTARGJOB -
               /NOPRINT/KEEP/NOTIFY/RESTART/que=FAST$BATCH-
               /parameters=('here','p1','p2')-
                /name="''jobname'" -
                /log="''logfilename'"  
$done:
$	write sys$output " "
$	write sys$output "The log file will be ''logfilename'."
$	write sys$output " "
$EXIT
$!
$defaults:
$	p1 := "GTARG.DAT"
$	p2 := "EPH:GFLUX.NML"
$	here = f$directory()
$interactive_run:
$!
$	@GTARGJOB -
               'here' 'p1' 'p2' 
$exit
$!
